using System;

public class NetworkLog
{
	public enum LogLevel
	{
		Info,
		Warning,
		Error
	}

	private const string FORMAT = "{0}:[{1}]{2}";

	public LogLevel Level { get; }

	public string Message { get; }

	public DateTime Time { get; }

	public NetworkLog(LogLevel level, string message)
	{
		Level = level;
		Message = message;
		Time = DateTime.UtcNow;
	}

	public override string ToString()
	{
		return $"{Time}:[{Level.ToString()}]{Message}";
	}
}
